Bug 1271019 - [RFE] Provide an easy way to record the required values on the "Volume Transfer" screen
[RFE] Provide an easy way to record the required values on the "Volume Transf...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity medium
: Upstream M3
: 11.0 (Ocata)
Assigned To: Radomir Dopieralski
Ola Pavlenko
: FutureFeature, OtherQA, Triaged
Depends On:
Blocks: 1426487
  Show dependency treegraph
 
Reported: 2015-10-12 20:12 EDT by Bryan Yount
Modified: 2017-09-14 23:08 EDT (History)
13 users (show)

See Also:
Fixed In Version: python-django-horizon-11.0.0-0.20170131043553.aa444a6.el7ost
Doc Type: Enhancement
Doc Text:
The administrator needs to record the user credentials during the volume transfer operation and doing so by hand is inconvenient. With this update, a new button to download the credentials has been added to the volume transfer screen for saving the information easily. This allows the administrators to download and save a CSV file locally on their computer with the click of a button.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-17 15:24:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1515648 None None None Never
Red Hat Knowledge Base (Solution) 1987843 None None None Never
OpenStack gerrit 248082 None None None Never
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 19:01:50 EDT

  None (edit)
Description Bryan Yount 2015-10-12 20:12:08 EDT
Description of problem:
In the Horizon dashboard, on the Volume page, there is a button to "Initiate Transfer" of a volume from one instance/project to another. On that screen, the admin is required to record 2 important values, "auth_key" and "id".

Version-Release number of selected component (if applicable):
RHEL-OSP 7.0

Steps to Reproduce:
1. Click on Projects > Volumes
2. In the Actions column of the volume to transfer, select Create Transfer.
3. In the Create Transfer dialog box, enter a name for the transfer and click Create Volume Transfer.
4. The volume transfer is created and in the Volume Transfer screen you can capture the transfer ID and the authorization key to send to the recipient project. 

Actual results:
The admin is required to save the transfer_id and the auth_key.

Expected results:
The OpenStack dashboard should give the user the ability to save a csv of the values or copy both to the clipboard.

Additional info:
4.1.7.2. Transfer a Volume Using the Dashboard
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/red-hat-enterprise-linux-openstack-platform-7-instances-and-images-guide/chapter-4-manage-volumes/
Comment 3 Matthias Runge 2015-12-01 02:54:57 EST
There is an ongoing review on https://review.openstack.org/#/c/248082/1

This feature clearly missed Liberty release (6 weeks ago, feature freeze was 3 weeks earlier).

Moving this RFE to Mitaka
Comment 4 Matthias Runge 2016-04-20 09:34:39 EDT
Moving to Newton, as the patch did not land yet upstream.
Comment 5 Itxaka 2016-05-06 10:12:32 EDT
This has been merged upstream, would be available on Newton.
Comment 6 Stephen Gordon 2016-06-09 14:52:50 EDT
Bulk update to reflect scope of Red Hat OpenStack Platform 9 and Red Hat OpenStack Platform does not include this issue (No pm_ack+).
Comment 11 Radomir Dopieralski 2017-04-28 08:22:08 EDT
How to test:

1. Click on Projects > Volumes
2. In the Actions column of the volume to transfer, select Create Transfer.
3. In the Create Transfer dialog box, enter a name for the transfer and click Create Volume Transfer.
4. The volume transfer is created
5. In the Volume Transfer screen there should be a button for downloading the credentials.
Comment 14 errata-xmlrpc 2017-05-17 15:24:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245

Note You need to log in before you can comment on or make changes to this bug.